import request from '@/utils/request'
export const yhxx_ju_list = (data = {}) => {
  return request({
    url: '/user/main/index',
    data,
  })
}
export const yhxx_ju_add = (data = {}) => {
  return request({
    url: '/user/main/add',
    data,
  })
}
export const yhxx_ju_edit = (data = {}) => {
  return request({
    url: '/user/main/edit',
    data,
  })
}
export const yhxx_ju_del = (data = {}) => {
  return request({
    url: '/user/main/delete',
    data,
  })
}
export const yhxx_ju_detail = (data = {}) => {
  return request({
    url: '/user/main/user_info',
    data,
  })
}
export const sydw_list = (data = {}) => {
  return request({
    url: '/user/main/get_dept',
    data,
  })
}
export const role_list = (data = {}) => {
  return request({
    url: '/txwx/user_role/index',
    data,
  })
}
export const role_add = (data = {}) => {
  return request({
    url: '/txwx/user_role/add',
    data,
  })
}
export const role_edit = (data = {}) => {
  return request({
    url: '/txwx/user_role/edit',
    data,
  })
}
export const role_del = (data = {}) => {
  return request({
    url: '/txwx/user_role/delete',
    data,
  })
}
export const role_detail = (data = {}) => {
  return request({
    url: '/txwx/user_role/detail',
    data,
  })
}
export const assign_person = (data = {}) => {
  return request({
    url: '/txwx/user_role/batch_set',
    data,
  })
}